Bug 1175299 (kf5-ksysguard, libksysguard) - Review Request: libksysguard - KDE Frameworks 5 Tier 3 addon for process management
Summary: Review Request: libksysguard - KDE Frameworks 5 Tier 3 addon for process mana...
Keywords:
Status: CLOSED RAWHIDE
Alias: kf5-ksysguard, libksysguard
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5 ksysguard
TreeView+ depends on / blocked
 
Reported: 2014-12-17 13:16 UTC by Jan Grulich
Modified: 2015-01-29 15:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-29 15:00:55 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Grulich 2014-12-17 13:16:05 UTC
Spec URL: https://jgrulich.fedorapeople.org/plasma5/kf5-ksysguard.spec
SRPM URL: https://jgrulich.fedorapeople.org/plasma5/kf5-ksysguard-5.1.1-1.fc21.src.rpm
Description: KSysGuard library provides API to read and manage processes running on the system.
Fedora Account System Username: jgrulich
Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=8410435

Comment 1 Rex Dieter 2015-01-04 16:59:24 UTC
naming: ok (though I'd prefer to use the upstream name here: libksysguard)

sources: ok
05edba7e9c155008e8b26d15756b355c  libksysguard-5.1.1.tar.xz

1. SHOULD use better project url, suggest
URL: https://projects.kde.org/projects/kde/workspace/libksysguard

macros: ok (mostly...)

2. SHOULD prefer/use
make install/fast DESTDIR=%{buildroot}
over
%make_install

scriptlets: ok


no MUST blockers, APPROVED.

Comment 2 Jan Grulich 2015-01-05 12:29:18 UTC
naming: I guess libksysguard is going to be a framework, they even called the library KF5SysGuard so I would prefer to use kf5 prefix to avoid renaming it in future.

1-2. Fixed

Spec URL: https://jgrulich.fedorapeople.org/plasma5/kf5-ksysguard.spec
SRPM URL: https://jgrulich.fedorapeople.org/plasma5/kf5-ksysguard-5.1.1-1.fc21.src.rpm

Comment 3 Jan Grulich 2015-01-05 12:31:06 UTC
New Package SCM Request
=======================
Package Name: kf5-ksysguard
Short Description: KDE Frameworks 5 Tier 3 addon for process management
Upstream URL: https://projects.kde.org/projects/kde/workspace/powerdevil
Owners: rdieter kkofler dvratil than jgrulich ltinkl
Branches: f20 f21
InitialCC: kde-sig

Comment 4 Jan Grulich 2015-01-05 12:32:08 UTC
Sorry, I forgot to change the URL. Correct SCM request below.

New Package SCM Request
=======================
Package Name: kf5-ksysguard
Short Description: KDE Frameworks 5 Tier 3 addon for process management
Upstream URL: https://projects.kde.org/projects/kde/workspace/libksysguard
Owners: rdieter kkofler dvratil than jgrulich ltinkl
Branches: f20 f21
InitialCC: kde-sig

Comment 5 Jan Grulich 2015-01-05 13:05:37 UTC
One more time.

New Package SCM Request
=======================
Package Name: kf5-ksysguard
Short Description: KDE Frameworks 5 Tier 3 addon for process management
Upstream URL: https://projects.kde.org/projects/kde/workspace/libksysguard
Owners: @kde-sig rdieter kkofler dvratil than jgrulich ltinkl
Branches: f20 f21
InitialCC:

Comment 6 Jan Grulich 2015-01-05 15:32:01 UTC
New Package SCM Request
=======================
Package Name: kf5-ksysguard
Short Description: KDE Frameworks 5 Tier 3 addon for process management
Upstream URL: https://projects.kde.org/projects/kde/workspace/libksysguard
Owners: group::kde-sig rdieter kkofler dvratil than jgrulich ltinkl
Branches: f20 f21
InitialCC:

Comment 7 Gwyn Ciesla 2015-01-05 18:11:06 UTC
WARNING: "group::kde-sig" is not a valid FAS account.

Comment 8 Jan Grulich 2015-01-05 19:45:06 UTC
New Package SCM Request
=======================
Package Name: kf5-ksysguard
Short Description: KDE Frameworks 5 Tier 3 addon for process management
Upstream URL: https://projects.kde.org/projects/kde/workspace/libksysguard
Owners: rdieter kkofler dvratil than jgrulich ltinkl
Branches: f20 f21
InitialCC:

Comment 9 Gwyn Ciesla 2015-01-05 21:12:28 UTC
Git done (by process-git-requests).

Comment 10 Daniel Vrátil 2015-01-16 10:52:00 UTC
> naming: I guess libksysguard is going to be a framework, they even called the 
> library KF5SysGuard so I would prefer to use kf5 prefix to avoid renaming it in 
> future.

That's not true. The "KF5" naming scheme is added by the patch that I added. That was back when it wasn't clear where libksysguard is going. Now it's clear it's going to remain in workspace. Unfortunately I caught this too late, but would anyone object against dropping kf5-ksysguard repo and instead importing this as libksysguard following the upstream naming, as Rex suggested?

Comment 11 Jan Grulich 2015-01-16 12:10:25 UTC
If it's not going to be a framework I don't see any reason why we should keep the kf5 prefix.

Comment 12 Rex Dieter 2015-01-16 13:53:46 UTC
No objection, Mind posting a new .spec for quick review of upgrade path (ie, Obsoletes, etc...)?

Comment 13 Jan Grulich 2015-01-20 16:12:06 UTC
Spec URL: https://jgrulich.fedorapeople.org/plasma5/libksysguard.spec
SRPM URL: https://jgrulich.fedorapeople.org/plasma5/libksysguard-5.1.1-3.fc21.src.rpm
Description: KSysGuard library provides API to read and manage processes running on the system.
Fedora Account System Username: jgrulich
Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=8675583

* Tue Jan 20 2015 Jan Grulich <jgrulich@redhat.com> - 5.1.1-3
- Rename to libksysguard

Comment 14 Rex Dieter 2015-01-20 16:15:20 UTC
I don't see any Obsoletes for upgrade path, I'd suggest adding in main:

Obsoletes: kf5-sysguard < 5.1.1-3
Provides:  kf5-sysguard = %{version}-%{release}

and to -devel:
Obsoletes: kf5-sysguard-devel < 5.1.1-3
Provides:  kf5-sysguard-devel = %{version}-%{release}

Comment 15 Rex Dieter 2015-01-20 16:15:49 UTC
oops, typo make that kf5-ksysguard (instead of kf5-sysguard)

Comment 16 Jan Grulich 2015-01-21 08:50:54 UTC
Spec URL: https://jgrulich.fedorapeople.org/plasma5/libksysguard.spec
SRPM URL: https://jgrulich.fedorapeople.org/plasma5/libksysguard-5.1.1-4.fc21.src.rpm

* Wed Jan 21 2015 Jan Grulich <jgrulich@redhat.com> - 5.1.1-4
- Obsolete kf5-ksysguard

Comment 17 Rex Dieter 2015-01-21 11:26:07 UTC
Better, let's go with that.

Comment 18 Daniel Vrátil 2015-01-21 13:18:11 UTC
New Package SCM Request
=======================
Package Name: libksysguard
Short Description: KDE process management library
Upstream URL: https://projects.kde.org/projects/kde/workspace/libksysguard
Owners: group::kde-sig
Branches:
InitialCC:

Comment 19 Daniel Vrátil 2015-01-21 13:23:46 UTC
Rex, could you please retire the kf5-ksysguard package in pkgdb? I pushed dead.package, but apparently can't retire from pkgdb - you are listed as the main contact there, so you should be able to do so.

Comment 20 Rex Dieter 2015-01-21 14:23:54 UTC
old one retired

Comment 21 Gwyn Ciesla 2015-01-21 15:22:37 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.